[arch-commits] Commit in lm_sensors/repos (5 files)

Eric Bélanger eric at archlinux.org
Sat Nov 21 00:09:05 EST 2009


    Date: Saturday, November 21, 2009 @ 00:09:05
  Author: eric
Revision: 59186

Merged revisions 59184 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/lm_sensors/trunk

........
  r59184 | eric | 2009-11-20 23:43:56 -0500 (Fri, 20 Nov 2009) | 2 lines
  
  upgpkg: lm_sensors 3.1.1-3
      Fixed stopping of fancontrol daemon script (close FS#17083), Fixed healthd script (close FS#17089), PKGBUILD cleanup
........

Modified:
  lm_sensors/repos/extra-i686/	(properties)
  lm_sensors/repos/extra-i686/ChangeLog
  lm_sensors/repos/extra-i686/PKGBUILD
  lm_sensors/repos/extra-i686/fancontrol.rc
  lm_sensors/repos/extra-i686/healthd

---------------+
 ChangeLog     |    6 ++++++
 PKGBUILD      |   22 +++++++++-------------
 fancontrol.rc |    2 +-
 healthd       |   11 +++++------
 4 files changed, 21 insertions(+), 20 deletions(-)


Property changes on: lm_sensors/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /lm_sensors/trunk:1-53335
   + /lm_sensors/trunk:1-59185

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-11-21 04:44:33 UTC (rev 59185)
+++ extra-i686/ChangeLog	2009-11-21 05:09:05 UTC (rev 59186)
@@ -1,3 +1,9 @@
+2009-11-20  Eric Belanger  <eric at archlinux.org>
+
+	* lm_sensors 3.1.1-3
+	* Fixed stopping of fancontrol daemon script (close FS#17083)
+	* Fixed healthd script (close FS#17089)
+
 2009-09-28  Eric Belanger  <eric at archlinux.org>
 
 	* lm_sensors 3.1.1-2

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-21 04:44:33 UTC (rev 59185)
+++ extra-i686/PKGBUILD	2009-11-21 05:09:05 UTC (rev 59186)
@@ -4,8 +4,8 @@
 
 pkgname=lm_sensors
 pkgver=3.1.1
-pkgrel=2
-pkgdesc="Collection of user space tools for general SMBus access and hardware monitoring."
+pkgrel=3
+pkgdesc="Collection of user space tools for general SMBus access and hardware monitoring"
 arch=('i686' 'x86_64')
 url="http://www.lm-sensors.org/"
 license=('GPL')
@@ -13,18 +13,19 @@
 makedepends=('rrdtool')
 optdepends=('rrdtool: for logging with sensord')
 backup=('etc/sensors3.conf')
+options=('!emptydirs')
 install=sensors.install
 source=(http://dl.lm-sensors.org/lm-sensors/releases/lm_sensors-${pkgver}.tar.bz2 \
 	sensors.rc fancontrol.rc sensors-detect.patch healthd healthd.conf healthd.rc \
         sensord.conf sensord.rc)
 md5sums=('613d7cfa23b70c0abae3fabb0a72ff5f' 'c370f5e620bfe41113354a1e22c0c18c'\
-         'b3695cd70f5cac17205a24f1249819af' '47c40b381d1f25d6634ae84cecf35f33'\
-         '6415014dc77365a48525901f30fe99da' 'f649261f52bd4329347bf93f5f83cb0a'\
+         'e54e3d0522f1705515d211edcdc3d0a9' '47c40b381d1f25d6634ae84cecf35f33'\
+         '6549050897c237514aeaa2bb6cfd29ea' 'f649261f52bd4329347bf93f5f83cb0a'\
          '970408d2e509dc4138927020efefe323' '96a8dd468e81d455ec9b165bdf33e0b7'\
          '41a5c20854bbff00ea7174bd2276b736')
 sha1sums=('8be15806d229305491f11b77c67496074480faf4' 'b2e664b9b87759991f02d0a1e8cac5e95098c0a5'\
-         '1127b042a3a167b656da74d701a6a8aa2b8f7ab4' '47095a32a918d6be50bd8daa8aaa9c24940d60e9'\
-         '06128ebb689aa271eef916e14ae1f2c42bee1f1d' 'c6ddfebc20685ba69700f66038c6b00a7c0bdb80'\
+         '8d3e4cc5b158b9c937062b180a94620b998527b6' '47095a32a918d6be50bd8daa8aaa9c24940d60e9'\
+         '78b5cd36c3cb8e98b972cdd8c4a12687d79a79a8' 'c6ddfebc20685ba69700f66038c6b00a7c0bdb80'\
          'e662881f5d3f3f35a1bc97ba45d2c471dd28c37f' 'de8d4d65406815c389f8a04e2a8508a1ae6749c8'\
          '72a60251d1d55a67307dab4105d9f3f01a080af4')
 
@@ -32,10 +33,9 @@
   cd "${srcdir}/${pkgname}-${pkgver}"
   patch -p1 < ../sensors-detect.patch || return 1
 
-  make PREFIX=/usr PROG_EXTRA:=sensord || return 1
-  make PREFIX=/usr MANDIR=/usr/share/man DESTDIR="${pkgdir}" install || return 1
+  make PROG_EXTRA=sensord BUILD_STATIC_LIB=0 \
+    PREFIX=/usr MANDIR=/usr/share/man DESTDIR="${pkgdir}" install || return 1
 
-  install -D -m755 prog/sensord/sensord "${pkgdir}/usr/sbin/sensord" || return 1
   install -D -m755 "${srcdir}/sensors.rc" "${pkgdir}/etc/rc.d/sensors" || return 1
   install -D -m755 "${srcdir}/fancontrol.rc" "${pkgdir}/etc/rc.d/fancontrol" || return 1
   install -D -m755 "${srcdir}/healthd" "${pkgdir}/usr/sbin/healthd" || return 1
@@ -43,8 +43,4 @@
   install -D -m644 "${srcdir}/healthd.conf" "${pkgdir}/etc/conf.d/healthd" || return 1
   install -D -m755 "${srcdir}/sensord.rc" "${pkgdir}/etc/rc.d/sensord" || return 1
   install -D -m644 "${srcdir}/sensord.conf" "${pkgdir}/etc/conf.d/sensord" || return 1
-
-  # remove the static lib
-  rm -rf "${pkgdir}/usr/lib/libsensors.a"
-  rmdir "${pkgdir}/etc/sensors.d"
 }

Modified: extra-i686/fancontrol.rc
===================================================================
--- extra-i686/fancontrol.rc	2009-11-21 04:44:33 UTC (rev 59185)
+++ extra-i686/fancontrol.rc	2009-11-21 05:09:05 UTC (rev 59186)
@@ -3,7 +3,7 @@
 . /etc/rc.conf
 . /etc/rc.d/functions
 
-PID=$(pidof -o %PPID /usr/sbin/fancontrol)
+PID=$(pidof -o %PPID -x /usr/sbin/fancontrol)
 case "$1" in
   start)
     stat_busy "Starting fancontrol"

Modified: extra-i686/healthd
===================================================================
--- extra-i686/healthd	2009-11-21 04:44:33 UTC (rev 59185)
+++ extra-i686/healthd	2009-11-21 05:09:05 UTC (rev 59186)
@@ -14,16 +14,15 @@
 
 while [ $# -gt 0 ] ; do
 	case "${1}" in
-		-c ) cmd="${2}" ;;
-		-m ) addr="${2}" ;;
-		-s ) slp="${2}" ;;
-		*  ) return 1 ;;
+		-c ) cmd="${2}" ; shift 2 ;;
+		-m ) addr="${2}" ; shift 2 ;;
+		-s ) slp="${2}" ; shift 2 ;;
+		*  ) shift 1 ;;
 	esac
-	shift 2
 done
 
 [ -n "${cmd}" ] && [ -n "$( which -- "${cmd%% *}" )" ] || \
-	[ -n "${addr}" ] || return 1
+	[ -n "${addr}" ] || exit 1
 
 [ "${slp}" -ge 2 ] || slp=600
 



More information about the arch-commits mailing list